Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Metric Operations
GETMetric OperationsSince 2.3SynchronousAuth Required

GetMetricData

GetMetricData

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • namespaceStringRequired

    The namespace.

  • metricNameStringRequired

    The metric name.

  • startTimeLong

    Optional. The start time.

  • endTimeLong

    Optional. The end time.

  • periodInteger

    Optional. The interval for returning data.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • dataListRequired

    See data.

    • valuedoubleRequired

      The metric value.

    • timelongRequired

      The time when the record was generated.

    • labelsMapRequired

      The label values.

Endpoint

GET/zstack/v1/zwatch/metrics

/zstack/v1/zwatch/metrics

Operation ID

GetMetricData

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/metrics?namespace=<namespace>&metricName=<metricName>&startTime=1&endTime=1&period=1&labels=<labels>&systemTags=<systemTags>&userTags=<userTags>&functions=<functions>&offsetAheadOfCurrentTime=1' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "data": [ { "value": 101.02, "time": 1.519829245957E12, "labels": { "VMUuid": "9304ab73d9b84852ad1d5061fd4760a5" } } ] }

Change History

This API has no change history records yet.

View all change history